Bug 863984 - Diy application's url became unavailable after server upgrade
Diy application's url became unavailable after server upgrade
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 05:03 EDT by Jianwei Hou
Modified: 2015-05-14 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-10-08 05:03:50 EDT
Description of problem:
Can not access a diy application's url after server upgrade and migration

Version-Release number of selected component (if applicable):
On devevn-stage_239

How reproducible:
Always

Steps to Reproduce:
1. Launch an old instance(devevn-stage_239)
2. Create a diy application and embed jenkins-client to it
3. Upgrade instance to latest and run migration
modify /etc/yum.repos.d/li.repo, replace 'stage' with 'candidate'
yum -y update
li/misc/maintenance/bin/migrate-mongo-2.0.18
rhc-admin-migrate --version 2.0.18
li/misc/maintenance/bin/hascaledb-migrate-2.0.18.rb
4. Access app's url after migration

Actual results:
Caught 503 error: Service Temporarily Unavailable
diy app is stopped.

[diy1-239u3.dev.rhcloud.com logs]\> cat server.log 
[2012-10-08 03:09:18] INFO  WEBrick 1.3.1
[2012-10-08 03:09:18] INFO  ruby 1.8.7 (2011-06-30) [x86_64-linux]
[2012-10-08 03:09:18] INFO  WEBrick::HTTPServer#start: pid=5916 port=8080
[2012-10-08 03:58:42] INFO  going to shutdown ...
[2012-10-08 03:58:42] INFO  WEBrick::HTTPServer#start done.

[diy1-239u3.dev.rhcloud.com ~]\> ps -ef|more
UID        PID  PPID  C STIME TTY          TIME CMD
536       3557 30127  1 04:55 ?        00:00:00 ps -ef
536       3558 30127  0 04:55 ?        00:00:00 more
536      30126 30067  0 04:44 ?        00:00:00 sshd: af70cc1cc825466aab447e12fb242df5@pts/4
536      30127 30126  0 04:44 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i
[diy1-239u3.dev.rhcloud.com ~]\> app_ctl.sh stop
[diy1-239u3.dev.rhcloud.com ~]\> cat diy-0.1/runtime/.state 
stopped
[diy1-239u3.dev.rhcloud.com ~]\> app_ctl.sh start
[diy1-239u3.dev.rhcloud.com ~]\> /var/lib/stickshift/af70cc1cc825466aab447e12fb242df5/app-root/runtime/repo//.openshift/action_hooks/start: line 5: /var/lib/stickshift/af70cc1cc825466aab447e12fb242df5/jenkins-client-1.4/logs//server.log: No such file or directory

[diy1-239u3.dev.rhcloud.com ~]\> cat diy-0.1/runtime/.state 
started

[diy1-239u3.dev.rhcloud.com ~]\> ps -ef|more
UID        PID  PPID  C STIME TTY          TIME CMD
536       5154 30127  0 04:58 ?        00:00:00 ps -ef
536       5155 30127  0 04:58 ?        00:00:00 more
536      30126 30067  0 04:44 ?        00:00:00 sshd: af70cc1cc825466aab447e12fb242df5@pts/4
536      30127 30126  0 04:44 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i

Expected results:
App should be running and url should be accessible.

Additional info:
Comment 1 John Poelstra 2012-10-16 13:42:15 EDT
waiting for migration work to complete (expected tomorrow)
Comment 2 Xiaoli Tian 2012-10-23 04:17:42 EDT
(In reply to comment #1)
> waiting for migration work to complete (expected tomorrow)
It seems already fixed with the latest migration scripts, move it to ON_QA to verify.
Comment 3 Meng Bo 2012-10-23 06:18:05 EDT
After migrate devenv-stage_239 to devenv_2364, diy app still can be used.

[root@F17x64-openshift ogm]# rhc app status -a diytest
Password: ***


RESULT:
Running Processes:
UID        PID  PPID  C    SZ   RSS PSR STIME TTY          TIME CMD
526      10196 10192  1  2374  1488   0 06:16 ?        00:00:00 /bin/bash -e /usr/libexec/openshift/cartridges/diy-0.1/info/bin/app_ctl.sh status
526      10207 10196  1  3342  1020   0 06:16 ?        00:00:00 ps -FCvx -U 526
526      11158     1  0 54974 17152   0 03:54 ?        00:00:00 /var/lib/openshift/7d59f12eb7814a72add283b8c04535ff/diy-0.1/runtime/bin/uwsgi -s 127.1.7.1:8080 --socket-protocol http --module app.wsgi:application --pp /var/lib/openshift/7d59f12eb7814a72add283b8c04535ff/app-root/runtime/repo//app -d /var/lib/openshift/7d59f12eb7814a72add283b8c04535ff/diy-0.1/logs//app.log --pidfile /tmp//uwsgi.pid


[root@F17x64-openshift ~]# curl diytest-bmeng1dev.dev.rhcloud.com
Running diytest on Python version 2.7.3

Note You need to log in before you can comment on or make changes to this bug.